gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.ToolItemGroup

Contents

- Exported types
- Methods
  - getCollapsed
  - getDropItem
  - getEllipsize
  - getHeaderRelief
  - getItemPosition
  - getLabel
  - getLabelWidget
  - getNItems
  - getNthItem
  - insert
  - new
  - setCollapsed
  - setEllipsize
  - setHeaderRelief
  - setItemPosition
  - setLabel
  - setLabelWidget
- Properties
  - collapsed
  - ellipsize
  - headerRelief
  - label
  - labelWidget

Description

A `ToolItemGroup` is used together with `ToolPalette` to add `GtkToolItems` to a palette like container with different categories and drag and drop support.

# CSS nodes

GtkToolItemGroup has a single CSS node named toolitemgroup.

Since: 2.20

Synopsis

- newtype ToolItemGroup = ToolItemGroup (ManagedPtr ToolItemGroup)
- class (GObject o, IsDescendantOf ToolItemGroup o) => IsToolItemGroup o
- toToolItemGroup :: (MonadIO m, IsToolItemGroup o) => o -> m ToolItemGroup
- toolItemGroupGetCollapsed :: (HasCallStack, MonadIO m, IsToolItemGroup a) => a -> m Bool
- toolItemGroupGetDropItem :: (HasCallStack, MonadIO m, IsToolItemGroup a) => a -> Int32 -> Int32 -> m ToolItem
- toolItemGroupGetEllipsize :: (HasCallStack, MonadIO m, IsToolItemGroup a) => a -> m EllipsizeMode
- toolItemGroupGetHeaderRelief :: (HasCallStack, MonadIO m, IsToolItemGroup a) => a -> m ReliefStyle
- toolItemGroupGetItemPosition :: (HasCallStack, MonadIO m, IsToolItemGroup a, IsToolItem b) => a -> b -> m Int32
- toolItemGroupGetLabel :: (HasCallStack, MonadIO m, IsToolItemGroup a) => a -> m Text
- toolItemGroupGetLabelWidget :: (HasCallStack, MonadIO m, IsToolItemGroup a) => a -> m Widget
- toolItemGroupGetNItems :: (HasCallStack, MonadIO m, IsToolItemGroup a) => a -> m Word32
- toolItemGroupGetNthItem :: (HasCallStack, MonadIO m, IsToolItemGroup a) => a -> Word32 -> m ToolItem
- toolItemGroupInsert :: (HasCallStack, MonadIO m, IsToolItemGroup a, IsToolItem b) => a -> b -> Int32 -> m ()
- toolItemGroupNew :: (HasCallStack, MonadIO m) => Text -> m ToolItemGroup
- toolItemGroupSetCollapsed :: (HasCallStack, MonadIO m, IsToolItemGroup a) => a -> Bool -> m ()
- toolItemGroupSetEllipsize :: (HasCallStack, MonadIO m, IsToolItemGroup a) => a -> EllipsizeMode -> m ()
- toolItemGroupSetHeaderRelief :: (HasCallStack, MonadIO m, IsToolItemGroup a) => a -> ReliefStyle -> m ()
- toolItemGroupSetItemPosition :: (HasCallStack, MonadIO m, IsToolItemGroup a, IsToolItem b) => a -> b -> Int32 -> m ()
- toolItemGroupSetLabel :: (HasCallStack, MonadIO m, IsToolItemGroup a) => a -> Text -> m ()
- toolItemGroupSetLabelWidget :: (HasCallStack, MonadIO m, IsToolItemGroup a, IsWidget b) => a -> b -> m ()
- constructToolItemGroupCollapsed :: (IsToolItemGroup o, MonadIO m) => Bool -> m (GValueConstruct o)
- getToolItemGroupCollapsed :: (MonadIO m, IsToolItemGroup o) => o -> m Bool
- setToolItemGroupCollapsed :: (MonadIO m, IsToolItemGroup o) => o -> Bool -> m ()
- constructToolItemGroupEllipsize :: (IsToolItemGroup o, MonadIO m) => EllipsizeMode -> m (GValueConstruct o)
- getToolItemGroupEllipsize :: (MonadIO m, IsToolItemGroup o) => o -> m EllipsizeMode
- setToolItemGroupEllipsize :: (MonadIO m, IsToolItemGroup o) => o -> EllipsizeMode -> m ()
- constructToolItemGroupHeaderRelief :: (IsToolItemGroup o, MonadIO m) => ReliefStyle -> m (GValueConstruct o)
- getToolItemGroupHeaderRelief :: (MonadIO m, IsToolItemGroup o) => o -> m ReliefStyle
- setToolItemGroupHeaderRelief :: (MonadIO m, IsToolItemGroup o) => o -> ReliefStyle -> m ()
- constructToolItemGroupLabel :: (IsToolItemGroup o, MonadIO m) => Text -> m (GValueConstruct o)
- getToolItemGroupLabel :: (MonadIO m, IsToolItemGroup o) => o -> m Text
- setToolItemGroupLabel :: (MonadIO m, IsToolItemGroup o) => o -> Text -> m ()
- constructToolItemGroupLabelWidget :: (IsToolItemGroup o, MonadIO m, IsWidget a) => a -> m (GValueConstruct o)
- getToolItemGroupLabelWidget :: (MonadIO m, IsToolItemGroup o) => o -> m Widget
- setToolItemGroupLabelWidget :: (MonadIO m, IsToolItemGroup o, IsWidget a) => o -> a -> m ()

# Exported types

newtype ToolItemGroup Source #

Memory-managed wrapper type.

Constructors

ToolItemGroup (ManagedPtr ToolItemGroup) |

#### Instances

Instances details

Eq ToolItemGroup Source # |
Instance details Defined in GI.Gtk.Objects.ToolItemGroup Methods (==) :: ToolItemGroup -> ToolItemGroup -> Bool Source # (/=) :: ToolItemGroup -> ToolItemGroup -> Bool Source #
GObject ToolItemGroup Source # |
Instance details Defined in GI.Gtk.Objects.ToolItemGroup
ManagedPtrNewtype ToolItemGroup Source # |
Instance details Defined in GI.Gtk.Objects.ToolItemGroup Methods toManagedPtr :: ToolItemGroup -> ManagedPtr ToolItemGroup Source #
TypedObject ToolItemGroup Source # |
Instance details Defined in GI.Gtk.Objects.ToolItemGroup Methods glibType :: IO GType Source #
HasParentTypes ToolItemGroup Source # |
Instance details Defined in GI.Gtk.Objects.ToolItemGroup
IsGValue (Maybe ToolItemGroup) Source # | Convert `ToolItemGroup` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.ToolItemGroup Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ToolItemGroup -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ToolItemGroup) Source #
type ParentTypes ToolItemGroup Source # |
Instance details Defined in GI.Gtk.Objects.ToolItemGroup type ParentTypes ToolItemGroup = '[Container, Widget, Object, ImplementorIface, Buildable, ToolShell]

class (GObject o, IsDescendantOf ToolItemGroup o) => IsToolItemGroup o Source #

Type class for types which can be safely cast to `ToolItemGroup`, for instance with `toToolItemGroup`.

#### Instances

Instances details

(GObject o, IsDescendantOf ToolItemGroup o) => IsToolItemGroup o Source # |
Instance details Defined in GI.Gtk.Objects.ToolItemGroup

toToolItemGroup :: (MonadIO m, IsToolItemGroup o) => o -> m ToolItemGroup Source #

Cast to `ToolItemGroup`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

activate, add, addAccelerator, addChild, addDeviceEvents, addEvents, addMnemonicLabel, addTickCallback, bindProperty, bindPropertyFull, canActivateAccel, checkResize, childFocus, childGetProperty, childNotify, childNotifyByPspec, childSetProperty, childType, classPath, computeExpand, constructChild, createPangoContext, createPangoLayout, customFinished, customTagEnd, customTagStart, destroy, destroyed, deviceIsShadowed, dragBegin, dragBeginWithCoordinates, dragCheckThreshold, dragDestAddImageTargets, dragDestAddTextTargets, dragDestAddUriTargets, dragDestFindTarget, dragDestGetTargetList, dragDestGetTrackMotion, dragDestSet, dragDestSetProxy, dragDestSetTargetList, dragDestSetTrackMotion, dragDestUnset, dragGetData, dragHighlight, dragSourceAddImageTargets, dragSourceAddTextTargets, dragSourceAddUriTargets, dragSourceGetTargetList, dragSourceSet, dragSourceSetIconGicon, dragSourceSetIconName, dragSourceSetIconPixbuf, dragSourceSetIconStock, dragSourceSetTargetList, dragSourceUnset, dragUnhighlight, draw, ensureStyle, errorBell, event, forall, forceFloating, foreach, freezeChildNotify, freezeNotify, getv, grabAdd, grabDefault, grabFocus, grabRemove, hasDefault, hasFocus, hasGrab, hasRcStyle, hasScreen, hasVisibleFocus, hide, hideOnDelete, inDestruction, initTemplate, inputShapeCombineRegion, insert, insertActionGroup, intersect, isAncestor, isComposited, isDrawable, isFloating, isFocus, isSensitive, isToplevel, isVisible, keynavFailed, listAccelClosures, listActionPrefixes, listMnemonicLabels, map, mnemonicActivate, modifyBase, modifyBg, modifyCursor, modifyFg, modifyFont, modifyStyle, modifyText, notify, notifyByPspec, overrideBackgroundColor, overrideColor, overrideCursor, overrideFont, overrideSymbolicColor, parserFinished, path, propagateDraw, queueAllocate, queueComputeExpand, queueDraw, queueDrawArea, queueDrawRegion, queueResize, queueResizeNoRedraw, realize, rebuildMenu, ref, refSink, regionIntersect, registerWindow, remove, removeAccelerator, removeMnemonicLabel, removeTickCallback, renderIcon, renderIconPixbuf, reparent, resetRcStyles, resetStyle, resizeChildren, runDispose, sendExpose, sendFocusChange, shapeCombineRegion, show, showAll, showNow, sizeAllocate, sizeAllocateWithBaseline, sizeRequest, stealData, stealQdata, styleAttach, styleGetProperty, thawChildNotify, thawNotify, translateCoordinates, triggerTooltipQuery, unmap, unparent, unrealize, unref, unregisterWindow, unsetFocusChain, unsetStateFlags, watchClosure.

#### Getters

getAccessible, getActionGroup, getAllocatedBaseline, getAllocatedHeight, getAllocatedSize, getAllocatedWidth, getAllocation, getAncestor, getAppPaintable, getBorderWidth, getCanDefault, getCanFocus, getChildRequisition, getChildVisible, getChildren, getClip, getClipboard, getCollapsed, getCompositeName, getData, getDeviceEnabled, getDeviceEvents, getDirection, getDisplay, getDoubleBuffered, getDropItem, getEllipsize, getEllipsizeMode, getEvents, getFocusChain, getFocusChild, getFocusHadjustment, getFocusOnClick, getFocusVadjustment, getFontMap, getFontOptions, getFrameClock, getHalign, getHasTooltip, getHasWindow, getHeaderRelief, getHexpand, getHexpandSet, getIconSize, getInternalChild, getItemPosition, getLabel, getLabelWidget, getMapped, getMarginBottom, getMarginEnd, getMarginLeft, getMarginRight, getMarginStart, getMarginTop, getModifierMask, getModifierStyle, getNItems, getName, getNoShowAll, getNthItem, getOpacity, getOrientation, getPangoContext, getParent, getParentWindow, getPath, getPathForChild, getPointer, getPreferredHeight, getPreferredHeightAndBaselineForWidth, getPreferredHeightForWidth, getPreferredSize, getPreferredWidth, getPreferredWidthForHeight, getProperty, getQdata, getRealized, getReceivesDefault, getReliefStyle, getRequestMode, getRequisition, getResizeMode, getRootWindow, getScaleFactor, getScreen, getSensitive, getSettings, getSizeRequest, getState, getStateFlags, getStyle, getStyleContext, getSupportMultidevice, getTemplateChild, getTextAlignment, getTextOrientation, getTextSizeGroup, getTooltipMarkup, getTooltipText, getTooltipWindow, getToplevel, getValign, getValignWithBaseline, getVexpand, getVexpandSet, getVisible, getVisual, getWindow.

#### Setters

setAccelPath, setAllocation, setAppPaintable, setBorderWidth, setBuildableProperty, setCanDefault, setCanFocus, setChildVisible, setClip, setCollapsed, setCompositeName, setData, setDataFull, setDeviceEnabled, setDeviceEvents, setDirection, setDoubleBuffered, setEllipsize, setEvents, setFocusChain, setFocusChild, setFocusHadjustment, setFocusOnClick, setFocusVadjustment, setFontMap, setFontOptions, setHalign, setHasTooltip, setHasWindow, setHeaderRelief, setHexpand, setHexpandSet, setItemPosition, setLabel, setLabelWidget, setMapped, setMarginBottom, setMarginEnd, setMarginLeft, setMarginRight, setMarginStart, setMarginTop, setName, setNoShowAll, setOpacity, setParent, setParentWindow, setProperty, setRealized, setReallocateRedraws, setReceivesDefault, setRedrawOnAllocate, setResizeMode, setSensitive, setSizeRequest, setState, setStateFlags, setStyle, setSupportMultidevice, setTooltipMarkup, setTooltipText, setTooltipWindow, setValign, setVexpand, setVexpandSet, setVisible, setVisual, setWindow.

## getCollapsed

toolItemGroupGetCollapsed Source #

Arguments

:: (HasCallStack, MonadIO m, IsToolItemGroup a) |
=> a | `group`: a GtkToolItemGroup
-> m Bool | Returns: `True` if `group` is collapsed, `False` if it is expanded

Gets whether `group` is collapsed or expanded.

Since: 2.20

## getDropItem

toolItemGroupGetDropItem Source #

Arguments

:: (HasCallStack, MonadIO m, IsToolItemGroup a) |
=> a | `group`: a `ToolItemGroup`
-> Int32 | `x`: the x position
-> Int32 | `y`: the y position
-> m ToolItem | Returns: the `ToolItem` at position (x, y)

Gets the tool item at position (x, y).

Since: 2.20

## getEllipsize

toolItemGroupGetEllipsize Source #

Arguments

:: (HasCallStack, MonadIO m, IsToolItemGroup a) |
=> a | `group`: a `ToolItemGroup`
-> m EllipsizeMode | Returns: the `EllipsizeMode` of `group`

Gets the ellipsization mode of `group`.

Since: 2.20

## getHeaderRelief

toolItemGroupGetHeaderRelief Source #

Arguments

:: (HasCallStack, MonadIO m, IsToolItemGroup a) |
=> a | `group`: a `ToolItemGroup`
-> m ReliefStyle | Returns: the `ReliefStyle`

Gets the relief mode of the header button of `group`.

Since: 2.20

## getItemPosition

toolItemGroupGetItemPosition Source #

Arguments

:: (HasCallStack, MonadIO m, IsToolItemGroup a, IsToolItem b) |
=> a | `group`: a `ToolItemGroup`
-> b | `item`: a `ToolItem`
-> m Int32 | Returns: the index of `item` in `group` or -1 if `item` is no child of `group`

Gets the position of `item` in `group` as index.

Since: 2.20

## getLabel

toolItemGroupGetLabel Source #

Arguments

:: (HasCallStack, MonadIO m, IsToolItemGroup a) |
=> a | `group`: a `ToolItemGroup`
-> m Text | Returns: the label of `group`. The label is an internal string of `group` and must not be modified. Note that `Nothing` is returned if a custom label has been set with `toolItemGroupSetLabelWidget`

Gets the label of `group`.

Since: 2.20

## getLabelWidget

toolItemGroupGetLabelWidget Source #

Arguments

:: (HasCallStack, MonadIO m, IsToolItemGroup a) |
=> a | `group`: a `ToolItemGroup`
-> m Widget | Returns: the label widget of `group`

Gets the label widget of `group`. See `toolItemGroupSetLabelWidget`.

Since: 2.20

## getNItems

toolItemGroupGetNItems Source #

Arguments

:: (HasCallStack, MonadIO m, IsToolItemGroup a) |
=> a | `group`: a `ToolItemGroup`
-> m Word32 | Returns: the number of tool items in `group`

Gets the number of tool items in `group`.

Since: 2.20

## getNthItem

toolItemGroupGetNthItem Source #

Arguments

:: (HasCallStack, MonadIO m, IsToolItemGroup a) |
=> a | `group`: a `ToolItemGroup`
-> Word32 | `index`: the index
-> m ToolItem | Returns: the `ToolItem` at index

Gets the tool item at `index` in group.

Since: 2.20

## insert

toolItemGroupInsert Source #

Arguments

:: (HasCallStack, MonadIO m, IsToolItemGroup a, IsToolItem b) |
=> a | `group`: a `ToolItemGroup`
-> b | `item`: the `ToolItem` to insert into `group`
-> Int32 | `position`: the position of `item` in `group`, starting with 0. The position -1 means end of list.
-> m () |

Inserts `item` at `position` in the list of children of `group`.

Since: 2.20

## new

toolItemGroupNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Text | `label`: the label of the new group
-> m ToolItemGroup | Returns: a new `ToolItemGroup`.

Creates a new tool item group with label `label`.

Since: 2.20

## setCollapsed

toolItemGroupSetCollapsed Source #

Arguments

:: (HasCallStack, MonadIO m, IsToolItemGroup a) |
=> a | `group`: a `ToolItemGroup`
-> Bool | `collapsed`: whether the `group` should be collapsed or expanded
-> m () |

Sets whether the `group` should be collapsed or expanded.

Since: 2.20

## setEllipsize

toolItemGroupSetEllipsize Source #

Arguments

:: (HasCallStack, MonadIO m, IsToolItemGroup a) |
=> a | `group`: a `ToolItemGroup`
-> EllipsizeMode | `ellipsize`: the `EllipsizeMode` labels in `group` should use
-> m () |

Sets the ellipsization mode which should be used by labels in `group`.

Since: 2.20

## setHeaderRelief

toolItemGroupSetHeaderRelief Source #

Arguments

:: (HasCallStack, MonadIO m, IsToolItemGroup a) |
=> a | `group`: a `ToolItemGroup`
-> ReliefStyle | `style`: the `ReliefStyle`
-> m () |

Set the button relief of the group header. See `buttonSetRelief` for details.

Since: 2.20

## setItemPosition

toolItemGroupSetItemPosition Source #

Arguments

:: (HasCallStack, MonadIO m, IsToolItemGroup a, IsToolItem b) |
=> a | `group`: a `ToolItemGroup`
-> b | `item`: the `ToolItem` to move to a new position, should be a child of `group`.
-> Int32 | `position`: the new position of `item` in `group`, starting with 0. The position -1 means end of list.
-> m () |

Sets the position of `item` in the list of children of `group`.

Since: 2.20

## setLabel

toolItemGroupSetLabel Source #

Arguments

:: (HasCallStack, MonadIO m, IsToolItemGroup a) |
=> a | `group`: a `ToolItemGroup`
-> Text | `label`: the new human-readable label of of the group
-> m () |

Sets the label of the tool item group. The label is displayed in the header of the group.

Since: 2.20

## setLabelWidget

toolItemGroupSetLabelWidget Source #

Arguments

:: (HasCallStack, MonadIO m, IsToolItemGroup a, IsWidget b) |
=> a | `group`: a `ToolItemGroup`
-> b | `labelWidget`: the widget to be displayed in place of the usual label
-> m () |

Sets the label of the tool item group. The label widget is displayed in the header of the group, in place of the usual label.

Since: 2.20

# Properties

## collapsed

No description available in the introspection data.

constructToolItemGroupCollapsed :: (IsToolItemGroup o, MonadIO m) => Bool -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`collapsed`” property. This is rarely needed directly, but it is used by `new`.

getToolItemGroupCollapsed :: (MonadIO m, IsToolItemGroup o) => o -> m Bool Source #

Get the value of the “`collapsed`” property. When overloading is enabled, this is equivalent to

    get toolItemGroup #collapsed

setToolItemGroupCollapsed :: (MonadIO m, IsToolItemGroup o) => o -> Bool -> m () Source #

Set the value of the “`collapsed`” property. When overloading is enabled, this is equivalent to

    set toolItemGroup [ #collapsed := value ]

## ellipsize

No description available in the introspection data.

constructToolItemGroupEllipsize :: (IsToolItemGroup o, MonadIO m) => EllipsizeMode -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`ellipsize`” property. This is rarely needed directly, but it is used by `new`.

getToolItemGroupEllipsize :: (MonadIO m, IsToolItemGroup o) => o -> m EllipsizeMode Source #

Get the value of the “`ellipsize`” property. When overloading is enabled, this is equivalent to

    get toolItemGroup #ellipsize

setToolItemGroupEllipsize :: (MonadIO m, IsToolItemGroup o) => o -> EllipsizeMode -> m () Source #

Set the value of the “`ellipsize`” property. When overloading is enabled, this is equivalent to

    set toolItemGroup [ #ellipsize := value ]

## headerRelief

No description available in the introspection data.

constructToolItemGroupHeaderRelief :: (IsToolItemGroup o, MonadIO m) => ReliefStyle -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`header-relief`” property. This is rarely needed directly, but it is used by `new`.

getToolItemGroupHeaderRelief :: (MonadIO m, IsToolItemGroup o) => o -> m ReliefStyle Source #

Get the value of the “`header-relief`” property. When overloading is enabled, this is equivalent to

    get toolItemGroup #headerRelief

setToolItemGroupHeaderRelief :: (MonadIO m, IsToolItemGroup o) => o -> ReliefStyle -> m () Source #

Set the value of the “`header-relief`” property. When overloading is enabled, this is equivalent to

    set toolItemGroup [ #headerRelief := value ]

## label

No description available in the introspection data.

constructToolItemGroupLabel :: (IsToolItemGroup o, MonadIO m) => Text -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`label`” property. This is rarely needed directly, but it is used by `new`.

getToolItemGroupLabel :: (MonadIO m, IsToolItemGroup o) => o -> m Text Source #

Get the value of the “`label`” property. When overloading is enabled, this is equivalent to

    get toolItemGroup #label

setToolItemGroupLabel :: (MonadIO m, IsToolItemGroup o) => o -> Text -> m () Source #

Set the value of the “`label`” property. When overloading is enabled, this is equivalent to

    set toolItemGroup [ #label := value ]

## labelWidget

No description available in the introspection data.

constructToolItemGroupLabelWidget :: (IsToolItemGroup o, MonadIO m, IsWidget a) => a -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`label-widget`” property. This is rarely needed directly, but it is used by `new`.

getToolItemGroupLabelWidget :: (MonadIO m, IsToolItemGroup o) => o -> m Widget Source #

Get the value of the “`label-widget`” property. When overloading is enabled, this is equivalent to

    get toolItemGroup #labelWidget

setToolItemGroupLabelWidget :: (MonadIO m, IsToolItemGroup o, IsWidget a) => o -> a -> m () Source #

Set the value of the “`label-widget`” property. When overloading is enabled, this is equivalent to

    set toolItemGroup [ #labelWidget := value ]